Use Case 3: Przelew
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Klient: Przesyła żądaną kwotę

Warunki wstępne:
----------------

Została przeprowadzona autoryzacja klienta.

Warunki końcowe:
----------------

Informacja o przelewie jest zapisana w SOT.

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

 1. Klient wprowadza dane przelewu (kwota, odbiorca, rodzaj przelewu)
 2. Klient potwierdza przelew
 3. Bankomat potwierdza, że wprowadzone dane są prawidłowe
 4. Informacja o przelewie zostaje zapisana w SOT, kwota pieniędzy na koncie klienta pomniejsza się o kwotę przelewu, natomiast ilość pieniędzy na koncie odbiorcy powiększa się o tą kwotę

Rozszerzenia (ścieżki alternatywne):
------------------------------------

 *a. Bankomat się zawiesza

   1. Bankomat anuluje transakcję.
   2. Bankomat informuje o zajściu błędu.
   3. Bankomat wraca do strony głównej.

 3a. Nieprawidłowa kwota

   1. Bankomat informuje Klienta, że nie może przelać żądanej kwoty.
   2. Bankomat informuje Klienta o maksymalnej kwocie, jaką może wypłacić.
   3. Bankomat pyta się Klienta, czy chce wypłacić maksymalną kwotę, czy anulować operację.

 3b. Nieprawidłowy odbiorca

   1. Bankomat informuje Klienta, że wybrany odbiorca nie istnieje.
   2. Bankomat pyta się Klienta, czy chce zmienić odbiorcę, czy anulować operację.

Wymagania specjalne:
--------------------

 - Interfejs użytkownika musi być dostępny w języku polskim i angielskim.

Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 1a. Kwota nie jest większa niż stan środków na koncie

 1b. Podany odbiorca istnieje w SOT

Kwestie otwarte:
----------------

 - Czy dopuszczamy autoryzację z wykorzystaniem rozpoznawania twarzy?
