Use Case 5: Wyplata za pomoca BLIKa
=====================

**Aktor podstawowy:** Klient 


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Bank: oczekuje poprawnej operacji wypłaty gotówki z bankomatu



Warunki wstępne:
----------------

Bankomat musi posiadać gotówkę.

Warunki końcowe:
----------------

Bank zanotowuje dane o transakcji.

Scenariusz główny (ścieżka podstawowa):
---------------------------------------
 
 1. Klient w bankomacie wybiera opcję wypłaty gotówki za pomocą BLIK'a
 2. Bankomat prosi klienta o podanie kwoty do wypłacenia.
 3. Bankomat prosi klienta o podanie 6 cyfrowego kodu BLIK.
 4. Klient w czasie 60 sekund wpisuje kod z telefonu do bankomatu.
 5. Bankomat potwierdza zgodność kodu oraz wydaje gotówkę klientowi.

Rozszerzenia (ścieżki alternatywne):
------------------------------------

 *a. Bankomat zawiesza się 

   1. Bankomat anuluje transakcję.
   2. Bankomat informuje klienta o zajściu błędu.
   3. Bankomat wraca do strony głównej.

 2a. Klient wprowadza kwotę lub wybiera kwotę proponowaną przez bankomat 

 4a. Nieprawidłowy kod BLIK

   1. Bankomat informuje klienta o niezgodności kodu BLIK.
   2. Bankomat anuluje transakcję oraz wraca do strony głównej.


 4b. Kod BLIK jest za krótki

   1. Bankomat po czasie oczekiwania informuje o błędzie i anuluje transakcje.
   2. Bankomat wraca do strony głównej.

 5a. Brak wystarczającej kwoty na koncie

   1. Bankomat informuje o braku wystarczającej kwoty na koncie klienta i anuluje transakcje.
   2. Bankomat wraca do strony głównej. 

 2-4. Klient rezygnuje z transakcji

   1. Bankomat po ustalonym czasie informuje o braku aktywności.
   2. Bankomat anuluje transakcję oraz wraca do strony głównej.    


Wymagania specjalne:
--------------------

 - Interfejs użytkownika musi być dostępny w języku polskim i angielskim.
 - Program posiada trigger dla zacięcia się systemu.



Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 4a. Kod BLIK składa się z 6 cyfr.

Kwestie otwarte:
----------------

 -Jaki czas ustalić na oczekiwanie aktywności klienta?
