Use Case 2: Wypłata
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Klient: Zostaje mu wypłacona żądana kwota.
 - Bank: Kwota wypłaty została poprawnie naliczona na koncie Klienta.

Warunki wstępne:
----------------

- W bankomacie jest gotówka.

Warunki końcowe:
----------------

- System przestaje przetwarzać dane.
- Na ekranie wyświetla się ekran główny.

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

 1. Klient wkłada kartę do bankomatu.
 2. System prosi o podanie pinu.
 3. Klient wprowadza pin.
 4. Klient wybiera opcje "Wypłać".
 5. Klient wprowadza kwotę.
 6. System prosi o potwierdzenie wybranej kwoty.
 7. System pyta, czy wydrukować potwierdzenie.
 8. Klient wybiera czy chce potwierdzenie.
 9. Bankomat drukuje potwierdzenie.   
 10. Klient odbiera potwierdzenie.
 11. Bankomat zwraca kartę. 
 12. Klient odbiera kartę.
 13. Bankomat wypłaca pieniądze.
 14. Klient odbiera gotówkę.

Rozszerzenia (ścieżki alternatywne):
------------------------------------
 *a. Bankomat zawiesza się.

   1. Bankomat anuluje transakcję.
   2. Bankomat informuje Klienta o zajściu błędu.
   3. Bankomat wraca do strony głównej.

 1a. Bankomat nie rozpoznaje karty.
 
   1. Bankomat informuje, że karta nie została rozpoznana.
   2. Bankomat zwraca kartę Klientowi.
   3. Klient Odbiera kartę.
 
 3a. Nieprawidłowy pin.

   1. Bankomat informuje Klienta, że PIN jest niepoprawny.
   2. Bankomat zwraca kartę Klientowi.
 
 3b. Klient wprowadza za krótki PIN.
    
   1. Bankomat czeka określony czas, aż Klient wprowadzi pozostałe cyfry PINu. 
   2. Po czasie oczekiwania Bankomat wraca do strony głównej.
 
 5a. Klient wprowadził kwotę, która jest większa niż stan gotówki w Bankomacie.
 
   1. Bankomat informuje Klienta, że nie jest w stanie wypłacić żądanej kwoty.
   2. Bankomat informuje Klienta o maksymalnej kwocie, jaką może wypłacić.
   3. Bankomat pyta się Klienta, czy chce wypłacić maksymalną kwotę, czy anulować opercję. 
   4. Klient wybiera, czy chcę wypłacić maksymalną kwotę.

 6a. Klient nie potwierdza wybranej kwoty.
 
  1. Bankomat wraca do kroku 5.
  
 8a. Klient wybiera, że nie chce potwierdzenia.

  1. Bankomat przechodzi do kroku 11.

 12a. Klient nie odbiera karty.

  1. Bankomat po określonym czasie chowa kartę.

 14a. Klient nie odbiera gotówki.

  1. Bankomat po określonym czasie chowa gotówkę.

Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------
 1a. Karta powinna być aktualna.
 
 1b. Karta jest przypisana do jakiegoś konta.

 3a. Pin składa się z 4 cyfr.

Kwestie otwarte:
----------------

 - Czy dopuszczamy autoryzację z wykorzystaniem technologii NFC?
 - Jaki jest czas oczekiwania?