
# Opis skrócony przypadków uzycia


## Aktorzy procesu i ich cele

Aktor | Cel
------|-----
Klient | Wplata, wyplata, przelew.
Serwisant | Naprawa bledow systemu.
Konwojent | Uzupelniene zawartosci (banknotow) bankomatu.

## Slownik

Haslo | Opis
----- | ----
ST | System transakcji - system nadzorujacy przeplyw pieniedzy.
BLIK | System platnosci mobilnych umozliwiajacy wplaty i wyplaty w bankomacie.

## Przypadki uzycia


### Use case 1: Wplata

Klient wpłaca pięniądze w gotówce, a stan jego konta zwiększa się o tę sumę, którą wpłacił. 

### Use case 2: Wyplata

Klient wypłaca pięniądze w gotówce z bankomatu, a stan jego konta zmniejsza się o sumę, którą chce wypłacić, o ile stan jego konta jest większy od kwoty, którą chce wypłacić.

### Use case 3: Przelew

Klient przelewa wybraną kwotę na konto innego kienta, o ile stan jego konta jest większy od kwoty, którą chce przelać innemu klientowi. Konto klienta do, którego ten przelew został wysłany zwiększa się o kwote wysłaną. 

### Use case 4: Sprawdzenie stanu konta

Klient ma możliwośc sprawdzenia swojego stanu konta.

### Use case 5: Wyplata za pomoca BLIKa

Klient ma możliwość wypłacenia pieniędzy w gotówce za pomocą kodu BLIK, czyli bez numeru konta bankowego, a za pomocą 6 cyfrowego kodu ważnego 60 sekund wygenerowanego przez klienta, w celu weryfikacji tożsamości. Konto klienta zmiejsza się o kwotę, którą chce wypłacić. 

### Use case 6: Wplata za pomoca BLIKa

Klient ma możliwość wpłacenia pieniędzy w gotówce za pomocą kodu BLIK, czyli bez numeru konta bankowego, a za pomocą 6 cyfrowego kodu ważnego 60 sekund wygenerowanego przez klienta, w celu weryfikacji tożsamości. Konto klienta zwiększa się o kwotę, którą chce wpłacić